Bug 980608 - SELinux is preventing /usr/bin/screen from using the 'sigchld' accesses on a process.
SELinux is preventing /usr/bin/screen from using the 'sigchld' accesses on a ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:5bac02fe2a4ac93e6dd08690b51...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 16:42 EDT by Casey Dahlin
Modified: 2014-06-18 04:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-59.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-06 21:33:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Casey Dahlin 2013-07-02 16:42:49 EDT
Description of problem:
Using screen normally. Didn't correlate it to any particular action.
SELinux is preventing /usr/bin/screen from using the 'sigchld' accesses on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that screen should be allowed sigchld access on processes labeled staff_screen_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep screen /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                staff_u:staff_r:irc_t:s0-s0:c0.c1023
Target Context                staff_u:staff_r:staff_screen_t:s0-s0:c0.c1023
Target Objects                 [ process ]
Source                        screen
Source Path                   /usr/bin/screen
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           screen-4.1.0-0.14.20120314git3c2946.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-54.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.8-300.fc19.x86_64 #1 SMP Thu
                              Jun 27 19:24:23 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-02 16:38:39 EDT
Last Seen                     2013-07-02 16:38:39 EDT
Local ID                      92dc3fb2-e13c-4121-9751-8eee2b959f35

Raw Audit Messages
type=AVC msg=audit(1372797519.46:446): avc:  denied  { sigchld } for  pid=2702 comm="screen" scontext=staff_u:staff_r:irc_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff_screen_t:s0-s0:c0.c1023 tclass=process


type=SYSCALL msg=audit(1372797519.46:446): arch=x86_64 syscall=wait4 success=yes exit=0 a0=ffffffffffffffff a1=7fff1618ba30 a2=3 a3=0 items=0 ppid=2358 pid=2702 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=84 sgid=84 fsgid=84 ses=1 tty=(none) comm=screen exe=/usr/bin/screen subj=staff_u:staff_r:staff_screen_t:s0-s0:c0.c1023 key=(null)

Hash: screen,irc_t,staff_screen_t,process,sigchld

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.8-300.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-03 07:50:00 EDT
dddc6719f40ca8536efb5224c2544eef81884da1
and
ff3568526c7ff0707e2b2fb272b093766b226471

Fix this problem in git.
Comment 2 Fedora Update System 2013-07-03 15:50:13 EDT
selinux-policy-3.12.1-59.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-59.fc19
Comment 3 Fedora Update System 2013-07-04 22:13:57 EDT
Package selinux-policy-3.12.1-59.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-59.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12373/selinux-policy-3.12.1-59.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-06 21:33:14 EDT
selinux-policy-3.12.1-59.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.